IWLIST(8)

NAME
iwlist - Get more detailed wireless information from a wireless interface

SYNOPSIS
iwlist interface scanning
iwlist interface frequency
iwlist interface rate
iwlist interface key
iwlist interface power
iwlist interface txpower
iwlist interface retry
iwlist interface event
iwlist --help
iwlist --version

DESCRIPTION
Iwlist is used to display some additional information from a wireless network interface that is not displayed by iwconfig(8). The main argument is used to select a category of information, iwlist displays in detailed form all information related to this category, including information already shown by iwconfig(8).

PARAMETERS

scan[ning]
    Give the list of Access Points and Ad-Hoc cells in range, and optionally a whole bunch of information about them (ESSID, Quality, Frequency, Mode...). The type of information returned depends on what the card supports.
    Triggering scanning is a privileged operation (root only) and normal users can only read left-over scan results. By default, the way scanning is done (the scope of the scan) will be impacted by the current setting of the driver. Also, this command is supposed to take extra arguments to control the scanning behaviour, but this is currently not implemented.

freq[uency]/channel
    Give the list of available frequencies in the device and the number of defined channels. Please note that usually the driver returns the total number of channels and only the frequencies available in the present locale, so there is no one-to-one mapping between frequencies displayed and channel numbers.

rate/bit[rate]
    List the bit-rates supported by the device.

key/enc[ryption]
    List the encryption key sizes supported and display all the encryption keys available in the device.

power
    List the various Power Management attributes and modes of the device.

txpower
    List the various Transmit Powers available on the device.

retry
    List the transmit retry limits and retry lifetime on the device.

ap/accesspoint/peers
    Give the list of Access Points in range, and optionally the quality of link to them. This feature is obsolete and now deprecated in favor of scanning support (above), and most drivers don't support it.
    Some drivers may use this command to return a specific list of Peers or Access Points, such as the list of Peers associated/registered with the card. See your driver documentation for details.

event
    List the wireless events supported by the device.

--version
    Display the version of the tools, as well as the recommended and current Wireless Extensions version for the tool and the various wireless interfaces.

FILES
/proc/net/wireless

SEE ALSO
iwconfig(8), iwspy(8). iwevent(8), iwpriv(8), wireless(7).